Skip to main content
GET
/
reputation
/
compare
Compare 2–10 agents' reputation scores
curl --request GET \
  --url https://api.mnemom.ai/v1/reputation/compare
{
  "agents": [
    {
      "agent_id": "<string>",
      "score": 500,
      "grade": "<string>",
      "is_eligible": true,
      "checkpoint_count": 123,
      "components": [
        {
          "score": 123,
          "weight": 123,
          "weighted_score": 123,
          "label": "<string>",
          "factors": "<array>"
        }
      ],
      "tier": "<string>",
      "computed_at": "2023-11-07T05:31:56Z",
      "trend_30d": 123,
      "claimed": true,
      "agent_name": "<string>",
      "a2a_trust_extension": {
        "extension_uri": "<string>",
        "provider": "<string>",
        "score": 123,
        "grade": "<string>",
        "confidence": "<string>",
        "verified_url": "<string>",
        "badge_url": "<string>",
        "methodology_url": "<string>",
        "last_updated": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Query Parameters

ids
string
required

Comma-separated list of 2–10 agent ids.

Response

Comparison result.

agents
object[]
required